# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class BaseEventEntry.Transparency

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.extensions.BaseEventEntry.Transparency

All Implemented Interfaces:
  Extension

Enclosing class:
  BaseEventEntry<E extends BaseEventEntry<E>>

    public static class BaseEventEntry.Transparency

extends ValueConstruct

Defines the base set of values for event transparency.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static BaseEventEntry.Transparency` `OPAQUE`
`static java.lang.String` `OPAQUE_VALUE`
`static BaseEventEntry.Transparency` `TRANSPARENT`
`static java.lang.String` `TRANSPARENT_VALUE`

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`BaseEventEntry.Transparency()`
`BaseEventEntry.Transparency(java.lang.String value)`

Method Summary
`static ExtensionDescription` `getDefaultDescription()`

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired, setValue`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPAQUE_VALUE

    public static final java.lang.String OPAQUE_VALUE

See Also:
  Constant Field Values

### TRANSPARENT_VALUE

    public static final java.lang.String TRANSPARENT_VALUE

See Also:
  Constant Field Values

### OPAQUE

    public static final BaseEventEntry.Transparency OPAQUE

### TRANSPARENT

    public static final BaseEventEntry.Transparency TRANSPARENT

Constructor Detail

### BaseEventEntry.Transparency

    public BaseEventEntry.Transparency()

### BaseEventEntry.Transparency

    public BaseEventEntry.Transparency(java.lang.String value)

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()